%return the sensors activated for the specified activity
%
%activity: is one row of the activities_data matrix containing all the
%activities information
%sensors_data: is the matrix containing the sensor data
%w_interval: is a time interval in seconds that specifies the time
%to add before and after the actual activity labels time. If 0, 
%only the sensors found within the activity labels times will be returned
function [sensors] = findActivatedSensors(activity, sensors_data,w_interval)

 activated_sensors = find(sensors_data(:,1)==activity(1,1) & sensors_data(:,3)<(activity(1,6)+w_interval) & sensors_data(:,3)>(activity(1,3)-w_interval));
 sensors = sensors_data(activated_sensors,6)
