function [index, sub] = listcmp(list1, list2)
% Find the entries of the first list that also present in the second one

sub = [];

% Create two arrays for the comparison
list2 = list2';
list1matrix = repmat(list1, 1, size(list2, 2));
for i = 1:size(list2, 2)
  s = char(list1{:});
  list1matrix(:,i) = cellstr(s(:,1:min([size(char(list2(i)),2), size(s,2)])));
end
list2matrix = repmat(list2, size(list1, 1), 1);

% Compare arrays
index = strcmp(list1matrix, list2matrix);

if nargout > 1
   cnt = 1;
   for i = 1:size(index,2)
      if size(index,2) > 1
         buff = find(index(:,i) == 1);
      else
         buff = find(index(:) == 1);
      end
      if ~isempty(buff)
         sub(cnt) = buff;
         cnt = cnt +1;
      end
   end
end
%______________________________________________________________________________
