%prenex: function for setting axis range according data values

function [prev, next, base] = prenex(val)

if val >= 1000 & val < 10000;
   base = 1000;
end
if val >= 100 & val < 1000;
   base = 100;
end
if val >= 10 & val < 100;
   base = 10;
end
if val >= 1 & val < 10;
   base = 1;
end
if val >= .1 & val < 1;
   base = .1;
end
if val >= .01 & val < .1;
   base = .01;
end
if val < .001 & val < .01;
   base = .001;
end
if val < .0001 & val < .001;
   base = .0001;
end
if val < .00001 & val < .0001;
   base = .00001;
end

prev = (fix(val/base)-1)*base;
next = round(val/base);
next = (next+mod(next, 2))*(base);
%______________________________________________________________________________
