function printfig(filename, hFigure, hLegend)

% Print the figure into the eps fle
newfilename = [filename '.eps'];
print(hFigure, newfilename, '-depsc2');
eval(['!epstopdf ' newfilename]);
print(hFigure, strrep(newfilename, '.eps', '.png'), '-dpng', '-r300');
fprintf(1, '%s\n', ['>>> Created calibration repeat plot (' newfilename ')']);

% Print the figure legend into the eps fle
if hLegend
   newfilename = [filename '_legend.eps'],;
   print(hLegend, newfilename, '-depsc2');
   eval(['!epstopdf ' newfilename]);
   print(hLegend, strrep(newfilename, '.eps', '.png'), '-dpng', '-r300');
   fprintf(1, '%s\n', ['>>> Created calibration trend plot (' filename ')']);
end

