function [dns xVal yVal] = limmitBounds(data, v)

mix = gmm(2, 2, 'spherical');
options = foptions;
options(14) = 5;
mix = gmminit(mix, data, options);
options = zeros(1, 18);
options(1) = 1;		% Prints out error values.
options(14) = 100;		% Max. Number of iterations.
[mix, options, errlog] = gmmem(mix, data, options);

x0 = v(1);
x1 = v(2);
y0 = v(3);
y1 = v(4);
xVal = linspace(x0, x1, 100);
yVal = linspace(y0, y1, 100);

[X Y] = meshgrid(xVal, yVal);
tmp = gmmprob(mix, [X(:) Y(:)]);
dns = reshape(tmp,size(X));
%_______________________________________________________________________________