function dat = limmitGmmCmp(nker, dat)

% Gaussian mixture model (gmm)
mix = gmm(1, nker, 'spherical');
options = foptions;
options(14) = 5;
mix = gmminit(mix, dat.pts', options);
options = zeros(1, 18);
options(1) = 1;		% Prints out error values.
options(14) = 100;		% Max. Number of iterations.
[mix, options, errlog] = gmmem(mix, dat.pts', options);
dat.dns = gmmprob(mix, dat.allWgt');
%_______________________________________________________________________