%calculates the day of the year of the specified day, month and year data
%the variables day, month and year could be single values or matrices containing the
%different values in different rows.
%examples 
%            yearday(02,03,2003)
%            yearday([02;03;04],[03;03;03],[2003;2003;2003])
%
%function [yday] = earday(day,month,year)
function [yday] = yearday(day,month,year)

yday = zeros(length(day),1);
for i=1:length(day),
   months = (1:month(i,1)-1)';
   days_per_month = eomday(year(i),months);
   yday(i) = sum(days_per_month')+day(i);
end